### Function

# Fwupd Remote flag_from_string

since: 1.9.4

#### Declaration [src]

    FwupdRemoteFlags
    fwupd_remote_flag_from_string (
      const gchar* flag
    )

#### Description [src]

Converts a string to an enumerated flag.

Available since: 1.9.4

#### Parameters

`flag`

  Type: `const gchar*`

  A string, e.g. `enabled`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdRemoteFlags`

Enumerated value.